if (%1)==() goto test_command
if (%1)==(start) goto start
goto endok

:test_command

:no_command

:start
computil SetupC06
computil SetupD06
if exist setenv.bat call setenv.bat

if (%NDC06%)==() if (%NDD06%)==() goto enderror
if (%NDC06%)==() SET NDC06=%NDD06%
if (%NDWINSYS%)==() goto enderror

rem 인디 디렉토리 설정
SET ID60=%NDC06%\Componut\Indy\V06


rem IDPAS32.obj를 임시디렉토리에 옮김
SET IDTMP=%NDC06%\Componut\Indy

copy %NDC06%\Source\VCL\idpas32.obj %IDTMP%

rem 프로그램 디렉토리에서 인디관련 화일을 삭제한다
del %NDC06%\Bin\dclindy*.bpl 
del %NDC06%\Lib\Obj\dclindy.* 
del %NDC06%\Source\Indy\dclindy.*
del %NDC06%\Lib\Debug\indy*.lib
del %NDC06%\Lib\Release\indy*.lib
del %NDC06%\Source\Indy\id*.pas
del %NDC06%\Include\Vcl\id*.hpp
del %NDC06%\Source\VCL\id*.obj
del %NDC06%\Bin\indy60.bpl
del %NDC06%\Help\indy.*
del %NDWINSYS%\indy*.bpl

rem Help File 복사하기
copy %IDTMP%\Help\. %NDC06%\Help\.

rem 임시디렉토리에 옮긴 IDPAS32.obj을 원래 위치에 옮기고 임시는 지운다
copy %IDTMP%\IDPAS32.obj %NDC06%\Source\VCL\.
copy %IDTMP%\V06\Indy60.bpl %NDC06%\bin\.
copy %IDTMP%\tmsxlsc6.lib %NDC06%D:\Projects\Lib\.
del  %IDTMP%\IDPAS32.obj 

Rem 환경변수 등록 
if exist 환경변수.bat call 환경변수.bat

:enderror

:endok
if exist setenv.bat del setenv.bat
SET ID60=
SET IDTMP=